# Class default

- Defined in src/offline/Mode.js:24
- Defined in src/offline/Mode.js:108

#####
Index

### Constructors

constructor

### Properties

module

### Methods

activateOfflineMode
enable
hasData
isEnabled
registerComponent

## Constructors

### constructor

- new default(ngeoOfflineConfiguration): default

- #### Parameters

  - ngeoOfflineConfiguration: default

    ngeo offline configuration service.

  #### Returns default

  #### Ng Inject

  #### Ngdoc

  service

  #### Ngname

  ngeoOfflineState

  - Defined in src/offline/Mode.js:32

## Properties

### `Static` module

module: IModule

- Defined in src/offline/Mode.js:108

## Methods

### activateOfflineMode

- activateOfflineMode(): void

- #### Returns void

  #### Export

  - Defined in src/offline/Mode.js:87

### enable

- enable(): void

- Enable offline mode. ATM we cannot escape from the offline mode.

  #### Returns void

  #### Export

  - Defined in src/offline/Mode.js:71

### hasData

- hasData(): boolean

- #### Returns boolean

  True if data are accessible offline.

  #### Export

  - Defined in src/offline/Mode.js:98

### isEnabled

- isEnabled(): boolean

- Return if we are in offline mode.

  #### Returns boolean

  whether offline mode is enabled

  #### Export

  - Defined in src/offline/Mode.js:62

### registerComponent

- registerComponent(component): void

- #### Parameters

  - component: __class

    Offline component.

  #### Returns void

  #### Export

  - Defined in src/offline/Mode.js:80

Generated using TypeDoc